预约管理API
获取设施类型列表
接口地址
POST /api/v1.0/invoke/open-ability/method/hotel-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| page_size | Integer | Body | 是 | 每页数量 |
| page_index | Integer | Body | 是 | 当前页数 |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | []Object<result> | Body | 返回结果 |
result说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| amenity_type_id | String | Body | 设施类型ID |
| amenity_type_name | String | Body | 设施类型名称 |
| is_public | Boolean | Body | 判断是否为公共设备 true:是 false:否 |
请求示例
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_amenity_type_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1724816274618,
"result": [
{
"amenity_type_id": "ax9a621c1ae77040d697bd2134700f57e",
"amenity_type_name": "test",
"is_public": true
}
]
}
失败返回示例
见 接口失败返回
获取设施类型信息
接口地址
POST /api/v1.0/invoke/open-ability/method/hotel-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| amenity_type_id | String | Body | 是 | 设施类型ID |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | Object<result> | Body | 返回结果 |
result说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| amenity_type_name | String | Body | 设施类型名称 |
| is_public | Boolean | Body | 判断是否为公共设备 true:是 false:否 |
请求示例
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_amenity_type_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"amenity_type_id": "ax9a621c1ae77040d697bd2134700f57e"
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1724816274618,
"result": {
"amenity_type_name": "test",
"is_public": true
}
}
失败返回示例
见 接口失败返回
创建设施类型信息
接口地址
POST /api/v1.0/invoke/open-ability/method/hotel-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| amenity_type_name | String | Body | 是 | 设施类型名称 |
| is_public | Boolean | Body | 是 | 判断是否为公共设备 true:是 false:否 |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | Object<result> | Body | 返回结果 |
result说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| amenity_type_id | String | Body | 设施类型ID |
请求示例
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "create_amenity_type_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"amenity_type_name": "test",
"is_public": true
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"amenity_type_id": "a2a621c1ae77040d697bd2134700f57ea"
}
}
失败返回示例
见 接口失败返回
更新设施类型信息
接口地址
POST /api/v1.0/invoke/open-ability/method/hotel-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| amenity_type_id | String | Body | 是 | 设施类型ID |
| amenity_type_name | String | Body | 是 | 设施类型名称 |
| is_public | Boolean | Body | 是 | 判断是否为公共设备 true:是 false:否 |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | Object | Body | 返回结果 |
请求示例
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "update_amenity_type_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"amenity_type_id": "a2a621c1ae77040d697bd2134700f57ea",
"amenity_type_name": "test",
"is_public": true
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
失败返回示例
见 接口失败返回
删除设施类型信息
接口地址
POST /api/v1.0/invoke/open-ability/method/hotel-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| amenity_type_id | String | Body | 是 | 设施类型ID |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | Object | Body | 返回结果 |
请求示例
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "delete_amenity_type_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"amenity_type_id": "a2a621c1ae77040d697bd2134700f57ea"
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
失败返回示例
见 接口失败返回
获取设施列表
接口地址
POST /api/v1.0/invoke/open-ability/method/hotel-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| page_size | Integer | Body | 是 | 每页数量 |
| page_index | Integer | Body | 是 | 当前页数 |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | []Object<result> | Body | 返回结果 |
result说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| amenity_id | String | Body | 设施ID |
| amenity_name | String | Body | 设施名称 |
| amenity_type_id | String | Body | 设施类型ID |
| amenity_type_name | String | Body | 设施类型名称 |
| amenity_description | String | Body | 设施描述 |
| amenity_picture_url | String | Body | 设施图片地址 |
| devices | []Object<device> | Body | 设备信息 |
| enable | Boolean | Body | 判断是否启用设施 true:启用 false:禁用 |
| contact | String | Body | 联系人 |
| contact_information | String | Body | 联系方式 |
| start_time | String | Body | 开始时间,UTC |
| finish_time | String | Body | 结束时间,UTC |
| available_days | []String | Body | 可用时间 |
| maximum_duration | Integer | Body | 最大持续时间,单位:分钟 |
| maximum_advance | Integer | Body | 最大提前量,单位:天 |
| maximum_reservation | Integer | Body | 最大预约数 |
| maximum_password_count | Integer | Body | 最大密码次数 |
| require_approval | Boolean | Body | 判断是否需要审核 true:需要 false:不需要 |
| allow_guest_booking | Boolean | Body | 判断是否允许客人预订 true:是 false:否 |
| fee_type | String | Body | 费用类型 time:按时长 people:按人数 time and people:按时长与人数 |
| fee | String | Body | 费用 |
device说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| mac | String | Body | MAC地址 |
请求示例
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_amenity_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"amenity_id": "afa332e258aae1badbb27d31128f442dc",
"amenity_name": "Gym",
"amenity_type_id": "a2a621c1ae77040d697bd2134700f57ea",
"amenity_type_name": "test",
"amenity_description": "test",
"amenity_picture_url": "https://test.akubela.com/g",
"devices": [
{
"mac": "C10519082089"
}
],
"enable": true,
"contact": "test",
"contact_information": "1234567",
"start_time": "13:14",
"finish_time": "15:14",
"available_days": [
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday",
"Saturday",
"Sunday"
],
"maximum_duration": 30,
"maximum_advance": 1,
"maximum_reservation": 1,
"maximum_password_count": 20,
"require_approval": true,
"allow_guest_booking": true,
"fee_type": "time",
"fee": "100"
}
]
}
失败返回示例
见 接口失败返回
获取设施信息
接口地址
POST /api/v1.0/invoke/open-ability/method/hotel-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| amenity_id | String | Body | 是 | 设施ID |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | Object<result> | Body | 返回结果 |
result说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| amenity_name | String | Body | 设施名称 |
| amenity_type_id | String | Body | 设施类型ID |
| amenity_type_name | String | Body | 设施类型名称 |
| amenity_description | String | Body | 设施描述 |
| amenity_picture_url | String | Body | 设施图片地址 |
| devices | []Object<device> | Body | 设备信息 |
| enable | Boolean | Body | 判断是否启用设施 true:启用 false:禁用 |
| contact | String | Body | 联系人 |
| contact_information | String | Body | 联系方式 |
| start_time | String | Body | 开始时间,UTC |
| finish_time | String | Body | 结束时间,UTC |
| available_days | []String | Body | 可用时间 |
| maximum_duration | Integer | Body | 最大持续时间,单位:分钟 |
| maximum_advance | Integer | Body | 最大提前量,单位:天 |
| maximum_reservation | Integer | Body | 最大预约数 |
| maximum_password_count | Integer | Body | 最大密码次数 |
| require_approval | Boolean | Body | 判断是否需要审核 true:需要 false:不需要 |
| allow_guest_booking | Boolean | Body | 判断是否允许客人预订 true:是 false:否 |
| fee_type | String | Body | 费用类型 time:按时长 people:按人数 time and people:按时长与人数 |
| fee | String | Body | 费用 |
device说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| mac | String | Body | MAC地址 |
请求示例
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_amenity_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"amenity_id": "afa332e258aae1badbb27d31128f442dc"
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"amenity_name": "Gym",
"amenity_type_id": "a2a621c1ae77040d697bd2134700f57ea",
"amenity_type_name": "test",
"amenity_description": "test",
"amenity_picture_url": "https://test.akubela.com/g",
"devices": [
{
"mac": "C10519082089"
}
],
"enable": true,
"contact": "test",
"contact_information": "1234567",
"start_time": "13:14",
"finish_time": "15:14",
"available_days": [
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday",
"Saturday",
"Sunday"
],
"maximum_duration": 30,
"maximum_advance": 1,
"maximum_reservation": 1,
"maximum_password_count": 20,
"require_approval": true,
"allow_guest_booking": true,
"fee_type": "time",
"fee": "100"
}
}
失败返回示例
见 接口失败返回
获取可创建设施列表
接口地址
POST /api/v1.0/invoke/open-ability/method/hotel-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object | Body | 是 | 命令参数 |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | []Object<result> | Body | 返回结果 |
result说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| devices | []Object<device> | Body | 设备信息 |
device说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| mac | String | Body | MAC地址 |
| device_name | String | Body | 设备名称 |
请求示例
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_creating_amenity_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"devices": [
{
"mac": "C10519082089",
"device_name": "device"
}
]
}
}
失败返回示例
见 接口失败返回
创建设施信息
接口地址
POST /api/v1.0/invoke/open-ability/method/hotel-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| amenity_name | String | Body | 是 | 设施名称 |
| amenity_type_id | String | Body | 是 | 设施类型ID |
| amenity_description | String | Body | 是 | 设施描述 |
| amenity_picture_url | String | Body | 是 | 设施图片地址 |
| devices | []Object<device> | Body | 是 | 设备信息 |
| enable | Boolean | Body | 是 | 判断是否启用设施 true:启用 false:禁用 |
| contact | String | Body | 是 | 联系人 |
| contact_information | String | Body | 是 | 联系方式 |
| start_time | String | Body | 是 | 开始时间,UTC |
| finish_time | String | Body | 是 | 结束时间,UTC |
| available_days | []String | Body | 是 | 可用时间 |
| maximum_duration | Integer | Body | 是 | 最大持续时间,单位:分钟 |
| maximum_advance | Integer | Body | 是 | 最大提前量,单位:天 |
| maximum_reservation | Integer | Body | 是 | 最大预约数 |
| maximum_password_count | Integer | Body | 是 | 最大密码次数 |
| require_approval | Boolean | Body | 是 | 判断是否需要审核 true:需要 false:不需要 |
| allow_guest_booking | Boolean | Body | 是 | 判断是否允许客人预订 true:是 false:否 |
| fee_type | String | Body | 是 | 费用类型 time:按时长 people:按人数 time and people:按时长与人数 |
| fee | String | Body | 是 | 费用 |
device说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| mac | String | Body | 是 | MAC地址 |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | Object<result> | Body | 返回结果 |
result说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| amenity_id | String | Body | 设施ID |
请求示例
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "create_amenity_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"amenity_name": "Gym",
"amenity_type_id": "a2a621c1ae77040d697bd2134700f57ea",
"amenity_description": "test",
"amenity_picture_url": "https://test.akubela.com/g",
"devices": [
{
"mac": "C10519082089"
}
],
"enable": true,
"contact": "test",
"contact_information": "1234567",
"start_time": "13:14",
"finish_time": "15:14",
"available_days": [
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday",
"Saturday",
"Sunday"
],
"maximum_duration": 30,
"maximum_advance": 1,
"maximum_reservation": 1,
"maximum_password_count": 20,
"require_approval": true,
"allow_guest_booking": true,
"fee_type": "time",
"fee": "100"
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"amenity_id": "abafa332e258aae1badbb27d31128f442"
}
}
失败返回示例
见 接口失败返回
更新设施信息
接口地址
POST /api/v1.0/invoke/open-ability/method/hotel-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| amenity_id | String | Body | 是 | 设施ID |
| amenity_type_id | String | Body | 是 | 设施类型ID |
| amenity_name | String | Body | 是 | 设施名称 |
| amenity_description | String | Body | 是 | 设施描述 |
| amenity_picture_url | String | Body | 是 | 设施图片地址 |
| devices | []Object<device> | Body | 是 | 设备信息 |
| enable | Boolean | Body | 是 | 判断是否启用设施 true:启用 false:禁用 |
| contact | String | Body | 是 | 联系人 |
| contact_information | String | Body | 是 | 联系方式 |
| start_time | String | Body | 是 | 开始时间,UTC |
| finish_time | String | Body | 是 | 结束时间,UTC |
| available_days | []String | Body | 是 | 可用时间 |
| maximum_duration | Integer | Body | 是 | 最大持续时间,单位:分钟 |
| maximum_advance | Integer | Body | 是 | 最大提前量,单位:天 |
| maximum_reservation | Integer | Body | 是 | 最大预约数 |
| maximum_password_count | Integer | Body | 是 | 最大密码次数 |
| require_approval | Boolean | Body | 是 | 判断是否需要审核 true:需要 false:不需要 |
| allow_guest_booking | Boolean | Body | 是 | 判断是否允许客人预订 true:是 false:否 |
| fee_type | String | Body | 是 | 费用类型 time:按时长 people:按人数 time and people:按时长与人数 |
| fee | String | Body | 是 | 费用 |
device说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| mac | String | Body | 是 | MAC地址 |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | Object | Body | 返回结果 |
请求示例
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "update_amenity_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"amenity_id": "abafa332e258aae1badbb27d31128f442",
"amenity_type_id": "a2a621c1ae77040d697bd2134700f57ea",
"amenity_name": "Gym",
"amenity_description": "test",
"amenity_picture_url": "https://test.akubela.com/g",
"devices": [
{
"mac": "C10519082089"
}
],
"enable": true,
"contact": "test",
"contact_information": "1234567",
"start_time": "13:14",
"finish_time": "15:14",
"available_days": [
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday",
"Saturday",
"Sunday"
],
"maximum_duration": 30,
"maximum_advance": 1,
"maximum_reservation": 1,
"maximum_password_count": 20,
"require_approval": true,
"allow_guest_booking": true,
"fee_type": "time",
"fee": "100"
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
失败返回示例
见 接口失败返回
删除设施信息
接口地址
POST /api/v1.0/invoke/open-ability/method/hotel-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| amenity_id | String | Body | 是 | 设施ID |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | Object | Body | 返回结果 |
请求示例
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "delete_amenity_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"amenity_id": "a8b5a73f8dd84abaa94dcs248be49b0d1"
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
失败返回示例
见 接口失败返回
启用设施
接口地址
POST /api/v1.0/invoke/open-ability/method/hotel-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| amenity_id | String | Body | 是 | 设施ID |
| enable | Boolean | Body | 是 | 判断是否启用设施 true:启用 false:禁用 |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | Object | Body | 返回结果 |
请求示例
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "enable_amenity",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"amenity_id": "afa332e258aae1badbb27d31128f442dc",
"enable": true
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
失败返回示例
见 接口失败返回
获取预约列表
接口地址
POST /api/v1.0/invoke/open-ability/method/hotel-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| page_size | Integer | Body | 是 | 每页数量 |
| page_index | Integer | Body | 是 | 当前页数 |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | []Object<result> | Body | 返回结果 |
result说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| residence_id | String | Body | 住宅ID |
| booking_id | String | Body | 预约ID |
| amenity_id | String | Body | 设施ID |
| amenity_name | String | Body | 设施名称 |
| amenity_type_id | String | Body | 设施类型ID |
| amenity_type_name | String | Body | 设施类型名称 |
| start_time | String | Body | 开始时间,UTC |
| finish_time | String | Body | 结束时间,UTC |
| state | String | Body | 状态 pending:待审核 rejected:已拒绝 canceled:已取消 success:成功 |
| is_expired | Boolean | Body | 判断预约是否过期 true:已过期 false:未过期 |
| pin_code | String | Body | PIN码 |
| qr_code_url | String | Body | 二维码地址 |
| created_time | String | Body | 创建时间,UTC |
| guest_id | String | Body | 客人ID |
| member_id | String | Body | 会员ID |
| number | Integer | Body | 人数 |
请求示例
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_booking_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"residence_id": "rm31adc223cc4b3bedb6bd4742dedcfa5",
"booking_id": "bfa332e258aae1badbb27d31128f442d1",
"amenity_id": "afa332e258aae1badbb27d31128f442dc",
"amenity_name": "Gym",
"amenity_type_id": "ax9a621c1ae77040d697bd2134700f57e",
"amenity_type_name": "test",
"start_time": "2025-05-02 13:14:15",
"finish_time": "2025-05-02 15:14:15",
"state": "pending",
"is_expired": true,
"pin_code": "123456",
"qr_code_url": "https://test.akubela.com/h.png",
"created_time": "2025-05-01 13:32:45",
"guest_id": "grm31adc223cc4b3bedb6bd4742dedcfa",
"member_id": "",
"number": 1
}
]
}
失败返回示例
见 接口失败返回
获取预约信息
接口地址
POST /api/v1.0/invoke/open-ability/method/hotel-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| booking_id | String | Body | 是 | 预约ID |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | Object<result> | Body | 返回结果 |
result说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| amenity_id | String | Body | 设施ID |
| amenity_name | String | Body | 设施名称 |
| amenity_type_id | String | Body | 设施类型ID |
| amenity_type_name | String | Body | 设施类型名称 |
| start_time | String | Body | 开始时间,UTC |
| finish_time | String | Body | 结束时间,UTC |
| state | String | Body | 状态 pending:待审核 rejected:已拒绝 canceled:已取消 success:成功 |
| is_expired | Boolean | Body | 判断预约是否过期 true:已过期 false:未过期 |
| pin_code | String | Body | PIN码 |
| qr_code_url | String | Body | 二维码地址 |
| created_time | String | Body | 创建时间,UTC |
| guest_name | String | Body | 客人名称 |
| member_id | String | Body | 会员ID |
| number | Integer | Body | 人数 |
请求示例
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_booking_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"booking_id": "b31adc223cc4b3bedb6bd4742dedcfa52"
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"amenity_id": "afa332e258aae1badbb27d31128f442dc",
"amenity_name": "Gym",
"amenity_type_id": "ax9a621c1ae77040d697bd2134700f57e",
"amenity_type_name": "test",
"start_time": "2025-05-02 13:14:15",
"finish_time": "2025-05-02 15:14:15",
"state": "pending",
"is_expired": true,
"pin_code": "123456",
"qr_code_url": "https://test.akubela.com/h.png",
"created_time": "2025-05-01 13:32:45",
"guest_name": "dom",
"member_id": "",
"number": 1
}
}
失败返回示例
见 接口失败返回
更新预约信息
接口地址
POST /api/v1.0/invoke/open-ability/method/hotel-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| booking_id | String | Body | 是 | 预约ID |
| state | String | Body | 是 | 状态 rejected:已拒绝 success:成功 |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | Object | Body | 返回结果 |
请求示例
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "update_booking_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"booking_id": "bfa332e258aae1badbb27d31128f442dc",
"state": "rejected"
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
失败返回示例
见 接口失败返回
删除预约信息
接口地址
POST /api/v1.0/invoke/open-ability/method/hotel-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| booking_id | String | Body | 是 | 预约ID |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | Object | Body | 返回结果 |
请求示例
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "delete_booking_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"booking_id": "b8b5a73f8dd84abaa94dcs248be49b0d1"
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
失败返回示例
见 接口失败返回
获取会员预约列表
接口地址
POST /api/v1.0/invoke/open-ability/method/hotel-commands
请求参数
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| Content-Type | String | Header | 是 | 内容类型,值为application/json |
| Accept | String | Header | 是 | 接受类型,值为application/json |
| Authorization | String | Header | 是 | Bearer认证,访问令牌 |
| command | String | Body | 是 | 命令名称 |
| id | String | Body | 是 | 命令ID |
| param | Object<param> | Body | 是 | 命令参数 |
param说明
| 参数名 | 类型 | 位置 | 必填 | 说明 |
|---|---|---|---|---|
| page_size | Integer | Body | 是 | 每页数量 |
| page_index | Integer | Body | 是 | 当前页数 |
| member_id | String | Body | 是 | 会员ID |
返回参数
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| Content-Type | String | Header | 内容类型,值为application/json |
| success | Boolean | Body | 判断请求是否成功 true:成功 false:失败 |
| timestamp | Integer | Body | 时间戳 |
| result | []Object<result> | Body | 返回结果 |
result说明
| 参数名 | 类型 | 位置 | 说明 |
|---|---|---|---|
| residence_id | String | Body | 住宅ID |
| booking_id | String | Body | 预约ID |
| amenity_id | String | Body | 设施ID |
| amenity_name | String | Body | 设施名称 |
| amenity_type_id | String | Body | 设施类型ID |
| amenity_type_name | String | Body | 设施类型名称 |
| start_time | String | Body | 开始时间,UTC |
| finish_time | String | Body | 结束时间,UTC |
| state | String | Body | 状态 pending:待审核 rejected:已拒绝 canceled:已取消 success:成功 |
| is_expired | Boolean | Body | 判断预约是否过期 true:已过期 false:未过期 |
| pin_code | String | Body | PIN码 |
| qr_code_url | String | Body | 二维码地址 |
| created_time | String | Body | 创建时间,UTC |
| number | Integer | Body | 人数 |
请求示例
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_member_booking_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"member_id": "mgrm31adc223cc4b3bedb6bd4742dedcf"
}
}
成功返回示例
状态码:200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"residence_id": "rm31adc223cc4b3bedb6bd4742dedcfa5",
"booking_id": "bfa332e258aae1badbb27d31128f442d1",
"amenity_id": "afa332e258aae1badbb27d31128f442dc",
"amenity_name": "Gym",
"amenity_type_id": "ax9a621c1ae77040d697bd2134700f57e",
"amenity_type_name": "test",
"start_time": "2025-05-02 13:14:15",
"finish_time": "2025-05-02 15:14:15",
"state": "pending",
"is_expired": true,
"pin_code": "123456",
"qr_code_url": "https://test.akubela.com/h.png",
"created_time": "2025-05-01 13:32:45",
"number": 1
}
]
}
失败返回示例
见 接口失败返回